%{?!python3_pkgversion:%global python3_pkgversion 3}

%global srcname octodns

Name:           octodns
Version:        0.9.17
Release:        2%{?dist}
Summary:        DNS-as-code tool for managing DNS across multiple providers
License:        MIT
URL:            https://github.com/octodns/
Source0:        https://github.com/octodns/octodns/archive/v%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools

%{?python_enable_dependency_generator}

%description
OctoDNS provides a set of tools & patterns that make it easy to manage
DNS records across multiple providers using an infrastructure-as-code approach.

%package -n python%{python3_pkgversion}-%{srcname}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python%{python3_pkgversion}-%{srcname}
OctoDNS provides a set of tools & patterns that make it easy to manage
DNS records across multiple providers using an infrastructure-as-code approach.

%prep
%autosetup -p1 -n %{srcname}-%{version}


%build
%py3_build


%install
rm -rf $RPM_BUILD_ROOT
%py3_install

%files -n  python%{python3_pkgversion}-%{srcname}
%license LICENSE
%doc README.md CHANGELOG.md
%{_bindir}/*
%{python3_sitelib}/%{srcname}/
%{python3_sitelib}/%{srcname}-%{version}+unknown-py%{python3_version}.egg-info/


%changelog
* Mon Jun 13 2022 Tim Jackson <rpm@timj.co.uk> 0.9.17-2
- Small cleanups to spec

* Wed May 18 2022 Tim Jackson <rpm@timj.co.uk> 0.9.17-1
- Initial build
